Package org.bukkit.event.entity

# Class ItemSpawnEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntitySpawnEvent
org.bukkit.event.entity.ItemSpawnEvent

All Implemented Interfaces:
  `Cancellable`

public class ItemSpawnEvent extends EntitySpawnEvent
Called when an item is spawned into a world

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`ItemSpawnEvent(@NotNull Item spawnee)`
`ItemSpawnEvent(@NotNull Item spawnee, Location loc)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Item`
`getEntity()`
Returns the Entity involved in this event

### Methods inherited from class org.bukkit.event.entity.EntitySpawnEvent

`getHandlerList, getHandlers, getLocation, isCancelled, setCancelled`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ItemSpawnEvent

@Deprecated public ItemSpawnEvent(@NotNull @NotNull Item spawnee, Location loc)
Deprecated.

### ItemSpawnEvent

public ItemSpawnEvent(@NotNull @NotNull Item spawnee)

## Method Details

### getEntity

@NotNull public @NotNull Item getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event